org.apache.hc.client5.http.protocol

## Class ResponseProcessCookies

- java.lang.Object
- - org.apache.hc.client5.http.protocol.ResponseProcessCookies

All Implemented Interfaces:
  HttpResponseInterceptor

    @Contract(threading=STATELESS)
    public class ResponseProcessCookies
    extends Object
    implements HttpResponseInterceptor

Response interceptor that populates the current `CookieStore` with data contained in response cookies received in the given the HTTP response.

Since:
  4.0

### Field Summary

Fields
`static ResponseProcessCookies` `INSTANCE` Singleton instance.

### Constructor Summary

Constructors
Constructor and Description
`ResponseProcessCookies()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `process(HttpResponse response, EntityDetails entity, HttpContext context)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### INSTANCE

    public static final ResponseProcessCookies INSTANCE

Singleton instance.

Since:
  5.2

### Constructor Detail

#### ResponseProcessCookies

    public ResponseProcessCookies()

### Method Detail

#### process

    public void process(HttpResponse response,
                        EntityDetails entity,
                        HttpContext context)
                 throws HttpException,
                        IOException

Specified by:
  `process` in interface `HttpResponseInterceptor`
Throws:
  `HttpException`
  `IOException`